态势感知¶
POST 查询高级监控数据¶
POST /prod-api/cdn/layer7/statistic/describeL7MostData
Body 请求参数
{
"params": {
"beginTime": "2024-01-24 00:00:00",
"endTime": "2024-01-24 23:59:59"
},
"action": [
{
"pageSize": 10,
"pageNo": 1,
"metricName": "url",
"mostDimension": "trafficSum"
}
],
"domains": [],
"otherFilter": []
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | object | 是 | - | |
| » action | body | [Action] | 是 | metricName:“ip(来源IP)” | |
| »» Action | body | Action | 是 | Action | - |
| »»» metricName | body | string | 是 | - | |
| »»» pageNo | body | integer(int32) | 是 | - | |
| »»» mostDimension | body | string | 是 | 类型 | requestCount:请求数;trafficSum:流量 |
| » params | body | object | 是 | - | |
| »» beginTime | body | string | 是 | 开始时间 | - |
| »» endTime | body | string | 是 | 结束时间 | - |
| » otherFilter | body | [string] | 否 | 其他筛选条件 | - |
详细说明¶
» action:
metricName:“ip(表示来源IP)”
metricName:“http_user_agent(表示客户端)”
metricName:“domain(表示域名)”
metricName:“url(表示URL)”
metricName:“status(表示状态码)”
metricName:“request_method(表示请求方法)”
metricName:“referer(表示referer)”
metricName:“protocol(表示协议)”
metricName:“server_port(表示端口)”
metricName:“ua_os_name(表示操作系统)”
metricName:“hostname(表示检测节点)”
metricName:“country_name(表示国家/地区)”
metricName:“city_name(表示城市)”
metricName:“timezone(表示时区)”
metricName:“scheme(表示场景)”
» mostDimension:
requestCount:表示请求数
trafficSum:表示流量
返回示例
{
"msg": "操作成功",
"code": 200,
"data": [
{
"metricName": "url",
"data": {
"total": 1592915833.2,
"list": [
{
"name": "/",
"value": 4125457504.9
}
],
"termsCount": 73673
}
}
]
}
201 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » msg | string | true | - | - | |
| » code | integer | true | - | - | |
| » data | object | true | - | - |
数据模型¶
Action
Action
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| metricName | string | true | - | - | |
| pageNo | integer(int32) | true | - | - | |
| pageSize | integer(int32) | true | - | - | |
| mostDimension | string | true | - | - |
L7QueryStatisticVO
{
"action": [
{
"metricName": "string",
"pageNo": 0,
"pageSize": 0,
"mostDimension": "string"
}
],
"otherFilter": [
{
"oneVal": "string",
"threeVal": ["string"],
"twoVal": "string"
}
],
"params": {
"beginTime": "string",
"endTime": "string"
}
}
L7QueryStatisticVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| action | [Action] | true | - | - | |
| mostDimension | string | true | - | - | |
| otherFilter | [StatisticOtherFilterVO] | false | - | - | |
| pageNum | integer(int32) | true | - | 当前页数 | - |
| pageSize | integer(int32) | true | - | 每页显示条目个数 | - |
| params | object | false | - | - | |
| » beginTime | string | true | - | 开始时间 | - |
| » endTime | string | true | - | 结束时间 | - |
StatisticOtherFilterVO
StatisticOtherFilterVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| oneVal | string | false | - | - | |
| threeVal | [string] | false | - | - | |
| twoVal | string | false | - | - |